<template>
  <div>
    <b-row align-v="center">
        <b-button class="pull-right" @click="editProfile" variant="outline-secondary">
          <div style="font-size: 14px"><b>Edit</b> <mdicon name="pencil" size="48" /> </div>
        </b-button>
        <component v-bind:is="componentName"></component>
    </b-row>
    <div class="row mx-2 mt-3"></div>
    <UserCommands />
    <div class="row mx-2 mt-3"></div>
    <UserCards />
  </div>
</template>>

<script lang="ts">
import Vue from 'vue';
import UserProfile from '@/components/ProfileComponents/UserProfile.vue'; 
import UserEditProfile from '@/components/ProfileComponents/UserEditProfile.vue'; 
import UserCommands from '@/components/ProfileComponents/UserCommands.vue'; 
import UserCards from '@/components/ProfileComponents/UserCards.vue'; 

export default Vue.extend({
  name: 'ProfileView',
  components: {
    UserProfile,
    UserEditProfile,
    UserCommands,
    UserCards,
  },

  data: () => ({
    componentName: "UserProfile",
  }),

  methods: {
    editProfile() {
      this.componentName = "UserEditProfile";
    },
  },
});
</script>

<style>

</style>